Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/7856/?format=api
{ "ob_id": 7856, "uuid": "7ebb759ae672ec0dfe5d45f20e3af96d", "title": "NCAVEO: Level 1B ARSF Compact Airbone Spectrographic Imager 2 (CASI-2) data collected on board the Dornier Do228-101 D-CALM aircraft", "abstract": "As part of the Network for Calibration and Validation of Earth Observation data (NCAVEO) 2006 Field Campaign, a Dornier 228 aircraft operated by the Natural Environment Research Council (NERC) Airborne Research and Survey Facility (ARSF) collected CASI-2 data on 17th June 2006. The data was collected between 10:40 am and 12:01pm GMT over Chilbolton, the campaign's study area. The aircraft flew eight adjacent north-south flightlines to cover the whole area, and one east-west across the area, passing directly over the CFARR site. Information about data collection can be found in documentation file '168-GB06-10.pdf' in linked documentation.\r\n\r\nThis dataset holds the 8 Level 1b hdf files which have been produced, containing all relevant VGroup metadata, navigation and data to process the complete flightline using the azgcorr software package. See the \"read me\" document in linked documentation for the command lines for each flightline and further information on how to view the data. You will also require the ancillary file osgb02 for inclusion in the command line and a high resolution DSM (Digital Surface Model), such as provided by the Nextmap 5m DSM dataset. Level 3a CASI-2 files and data collected by the Eagle instrument during the flight are also available through their separate dataset record pages, listed in linked documentation. ", "keywords": "NCAVEO, ARSF, CASI-2, DORNIER", "publicationState": "published", "dataPublishedTime": "2007-10-16T22:04:41", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/12657/?format=api", "dataPath": "/neodc/ncaveo_field/data/arsf/L1b", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 886766861, "numberOfFiles": 10, "fileFormat": "These data are HDF formatted " }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/2252/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/172/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/64846/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/64847/?format=api" ], "dataLineage": "These data were provided to NEODC by university of Southampton, who carried out work to convert formats to NASA-Ames, and write metadata documents. The metadata documents describing the processing are archived alongside the data as PDF files.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/5103/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/7827/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/7824/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30128/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32386/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32391/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32392/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32385/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32388/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32389/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32390/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32387/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/7859/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }